Package: groovy.lang

## [Java] Class ClassCollector

- groovy.lang.GroovyClassLoader.ClassCollector

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected GroovyClassLoader.ClassCollector (InnerLoader cl, org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)`
    `` | `protected Class` | `createClass(byte[] code, ClassNode classNode)`
    `` | `GroovyClassLoader` | `getDefiningClassLoader()`
    `` | `Collection` | `getLoadedClasses()`
    `` | `protected Class` | `onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.groovy.control.CompilationUnit$ClassgenCallback` | `org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#call(org.objectweb.asm.ClassVisitor, org.codehaus.groovy.ast.ClassNode), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#wait(long), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#wait(long, int), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#wait(), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#equals(java.lang.Object), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#toString(), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#hashCode(), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#getClass(), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#notify(), org.codehaus.groovy.control.CompilationUnit$ClassgenCallback#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### protected GroovyClassLoader.ClassCollector(InnerLoader cl, org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)

  - ### Method Detail

    - #### public void call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)

    - #### protected Class createClass(byte[] code, ClassNode classNode)

    - #### public GroovyClassLoader getDefiningClassLoader()

    - #### public Collection getLoadedClasses()

    - #### protected Class onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)